body {
  margin: auto;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Host Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  position: relative;
  overflow: hidden;
  background-color: darkorange;
}

h1,
h2,
p {
  margin: 0;
}

.btn {
  text-decoration: none;
  margin-top: 8px;
  padding: 16px;
  border-radius: 16px;
  color: white;
  font-weight: 500;
  background-color: orangered;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color 100ms;
}

.secondary {
  color: black;
  background-color: white;
  border: 1px solid lightgray;
}

.btn:hover {
  background-color: black;
  color: orangered;
}

.btn.secondary:hover {
  background-color: lightsalmon;
  border: 1px solid orangered;
}

main {
  padding: 24px;
  margin: 24px;
  width: 390px;
  height: fit-content;
  background-color: white;
  border: 1px solid lightgrey;
  border-radius: 32px;
  z-index: 1;
}

.layout-center {
  /* width: fit-content;
  height: fit-content; */
  margin: auto;
}

.full-width {
  width: 100%;
  height: fit-content;
  display: block;
}

.container-flex {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
}

.container-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  width: fit-content;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin-bottom: 24px;
}

.profile {
  margin-bottom: 24px;
}

.avatar {
  width: 100px;
  height: auto;
  aspect-ratio: 1/1;
  margin: auto;
  position: relative;
  margin-bottom: 16px;
}

.img-avatar {
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

.status {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  border: 4px solid white;
  background-color: green;
  position: absolute;
  right: 2px;
  bottom: 2px;
}

.text-center {
  text-align: center;
}

.img-bg {
  position: absolute;
  z-index: 0;
  width: 100%;
  height: 100%;
  opacity: 0.6;
  object-fit: cover;
}

.socmed-icon {
  width: auto;
  height: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: scale 100ms;
}

.socmed-icon:hover {
  scale: 1.1;
}

.yt-player {
  margin-top: 16px;
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  border-radius: 16px;
}

footer {
  position: absolute;
  bottom: 0;
  font-size: 12px;
  color: rgba(255, 255, 255, 0.875);
  padding-bottom: 8px;
}
